import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMFloskel extends JavaObject {
    kuerzel: String | null;
    text: String | null;
    fachID: Number | null;
    niveau: Number | null;
    jahrgangID: Number | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMFloskel;
    static transpilerToJSON(obj: ENMFloskel): string;
    static transpilerToJSONPatch(obj: Partial<ENMFloskel>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMFloskel(obj: unknown): ENMFloskel;
